"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _default = () => `
    import '$resolve.guardOnlyServer'

    export { default as entryPointMarker } from 'resolve-runtime/lib/common/utils/entry-point-marker'

    const handler = async (...args) => {
      try {
        if(!global.initPromise) {
          const interopRequireDefault = require('@babel/runtime/helpers/interopRequireDefault')

          global.serverAssemblies = interopRequireDefault(
            require('$resolve.serverAssemblies')
          ).default
          global.cloudEntry = interopRequireDefault(
            require('resolve-runtime/lib/cloud')
          ).default

          global.initPromise = cloudEntry(serverAssemblies)
        }
        const worker = await initPromise
        return await worker(...args)
      } catch(error) {
        console.error('Lambda fatal error: ', error)
        throw error
      }
    }

    export default handler
  `;

exports.default = _default;
//# sourceMappingURL=$resolve.cloudEntry.js.map