"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _constants = require("../constants");

var _declare_runtime_env = require("../declare_runtime_env");

var _default = ({
  resolveConfig,
  isClient
}) => {
  void JSON.stringify(resolveConfig.customConstants, (key, value) => {
    if (value != null && value.constructor !== Number && value.constructor !== String && value.constructor !== Boolean && !Array.isArray(value) && value.constructor !== Object && !(0, _declare_runtime_env.checkRuntimeEnv)(value)) {
      throw new Error(`${_constants.message.incorrectJsonSchemaType}".${key}"`);
    }

    return value;
  });
  const exports = [];
  exports.push(`const customConstants = ${(0, _declare_runtime_env.injectRuntimeEnv)(resolveConfig.customConstants, isClient)}`, ``, `export default customConstants`);
  return exports.join('\r\n');
};

exports.default = _default;
//# sourceMappingURL=$resolve.customConstants.js.map