"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _fs = _interopRequireDefault(require("fs"));

var _fsExtra = _interopRequireDefault(require("fs-extra"));

var _path = _interopRequireDefault(require("path"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const copyEnvToDist = distDir => {
  const pathToEnv = _path.default.resolve(process.cwd(), '.env');

  if (_fs.default.existsSync(pathToEnv)) {
    _fsExtra.default.copySync(pathToEnv, _path.default.resolve(process.cwd(), distDir, 'common', '.env'));
  }
};

var _default = copyEnvToDist;
exports.default = _default;
//# sourceMappingURL=copy_env_to_dist.js.map