"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _deepmerge = _interopRequireDefault(require("deepmerge"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const merge = (...configs) => _deepmerge.default.all(configs, {
  isMergeableObject: obj => {
    if (obj != null && obj.hasOwnProperty('module') && obj.hasOwnProperty('options')) {
      return false;
    }

    if (Array.isArray(obj)) {
      return true;
    }

    if (obj != null && obj.constructor === Object) {
      return true;
    }

    return false;
  }
});

var _default = merge;
exports.default = _default;
//# sourceMappingURL=merge.js.map