"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _declare_runtime_env = _interopRequireWildcard(require("../declare_runtime_env"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var _default = ({
  resolveConfig,
  isClient
}) => {
  const exports = [];

  if (resolveConfig.hasOwnProperty('uploadAdapter')) {
    exports.push(`const cdnUrl = ${(0, _declare_runtime_env.injectRuntimeEnv)((0, _declare_runtime_env.default)('RESOLVE_UPLOADER_CDN_URL'), isClient)}`);
  } else {
    exports.push(`const cdnUrl = null`);
  }

  exports.push(`export default cdnUrl`);
  return exports.join('\r\n');
};

exports.default = _default;
//# sourceMappingURL=$resolve.cdnUrl.js.map