"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _fs = _interopRequireDefault(require("fs"));

var _path = _interopRequireDefault(require("path"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const getWebpackAlias = () => {
  const alias = {};

  for (const filename of _fs.default.readdirSync(_path.default.resolve(__dirname, 'alias'))) {
    if (_path.default.extname(filename) !== '.js') {
      continue;
    }

    alias[_path.default.basename(filename, '.js')] = _path.default.resolve(__dirname, 'alias', filename);
  }

  return alias;
};

var _default = getWebpackAlias;
exports.default = _default;
//# sourceMappingURL=get_webpack_alias.js.map