"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _fs = _interopRequireDefault(require("fs"));

var _path = _interopRequireDefault(require("path"));

var _get_monorepo_node_modules = _interopRequireDefault(require("./get_monorepo_node_modules"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const resolveFile = (query, fallbackQuery) => {
  try {
    const customFilePath = _path.default.resolve(process.cwd(), query);

    if (_fs.default.existsSync(customFilePath)) {
      return customFilePath;
    }
  } catch (e) {} // TODO


  try {
    require.resolve(query, {
      paths: [_path.default.resolve(process.cwd(), 'node_modules'), _path.default.resolve(__dirname, '../node_modules'), ...(0, _get_monorepo_node_modules.default)()]
    });

    return query;
  } catch (e) {}

  if (fallbackQuery) {
    return resolveFile(fallbackQuery);
  }

  throw new Error(`File "${query}" does not exist`);
};

var _default = resolveFile;
exports.default = _default;
//# sourceMappingURL=resolve_file.js.map