"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _chalk = _interopRequireDefault(require("chalk"));

var _constants = require("./constants");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const showBuildInfo = (err, stats) => {
  if (!stats) {
    return;
  }

  if (err) {
    // eslint-disable-next-line no-console
    console.error(err.stack || err);

    if (err.details) {
      // eslint-disable-next-line no-console
      console.error(err.details);
    }

    return;
  } // eslint-disable-next-line no-console


  console.log('[', _chalk.default.green(stats.compilation.name), ']', stats.toString(_constants.statsConfig));
};

var _default = showBuildInfo;
exports.default = _default;
//# sourceMappingURL=show_build_info.js.map